Subject: Re: ambiguous argument '...': unknown revision or path not in the working tree

From: Sven Joachim <[email-masked]>
Date: Mon, 18 Jan 2010 09:48:57 +0100

On 2010-01-18 07:59 +0100, Junio C Hamano wrote:

> Sven Joachim <[email-masked]> writes:
>
>> I've got a strange error message in 'git push':
>>
>> ,----
>> | % git push
>> | Counting objects: 47, done.
>> | Delta compression using up to 2 threads.
>> | Compressing objects: 100% (24/24), done.
>> | Writing objects: 100% (24/24), 4.37 KiB, done.
>> | Total 24 (delta 22), reused 0 (delta 0)
>> | fatal: ambiguous argument '3bbc6def8a06e4411bee130b811ff9507e90503d:debian/changelog': unknown revision or path not in the working tree.
>> | Use '--' to separate paths from revisions
>
> I think there is nothing "fatal" in your git setup, other than that the
> repository at the remote end you are pushing into has a broken hook script
> (perhaps update, post-receive, or post-update) that is issuing the error
> message.

Thanks, that hits the nail on the head.

> I would raise the issue with the owner of the repository if I were you.

I've opened a support ticket.

Sven